﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RemoveCurrentItem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {

        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ClubsGrid_PreparedCellForEdit(object sender, GridViewPreparingCellForEditEventArgs e)
        {

            var combo = e.EditingElement as RadMultiColumnComboBox;
            if (combo != null)
            {
                combo.AddHandler(RadDropDownButton.DropDownOpenedEvent, new RoutedEventHandler((s, a) =>
                {
                    Dispatcher.BeginInvoke(new Action(() =>
                    {
                        (combo.DropDownContentManager.DropDownElement as RadGridView).CurrentItem = null;
                        (combo.DropDownContentManager.DropDownElement as RadGridView).RowIndicatorVisibility = Visibility.Collapsed;
                    }));
                }));
            }
        }

        private void ClubsGrid_CellLoaded(object sender, Telerik.Windows.Controls.GridView.CellEventArgs e)
        {
            var combo = e.Cell.Content as RadMultiColumnComboBox;
            if (combo != null)
            {
                combo.AddHandler(RadDropDownButton.DropDownOpenedEvent, new RoutedEventHandler((s, a) =>
                {
                    Dispatcher.BeginInvoke(new Action(() =>
                    {
                        (combo.DropDownContentManager.DropDownElement as RadGridView).CurrentItem = null;
                        (combo.DropDownContentManager.DropDownElement as RadGridView).RowIndicatorVisibility = Visibility.Collapsed;
                    }));
                }));
            }
        }
    }
}
